<%@ Page language="c#" AutoEventWireup="false"  %>
<%@ Register TagPrefix="searchengine" Namespace="Keyoti.SearchEngine.Web" Assembly="Keyoti.SearchEngine.Web" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>SearchResults</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<SearchEngine:SearchResult ID="SearchResult1" runat="server" Style="z-index: 100;
            left: 0px; position: absolute; top: 0px" IndexDirectory="c:\Inetpub\wwwroot\SearchBasic\IndexDirectory">
            <ResultItemTemplate>
                <div class='SEResultItem'>
                    <table border="0">
                        <tr>
                            <td class='SEResultItemLink' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                                font-size: 10pt;'>
                                <a href="<%# Container.Uri %>">
                                    <%# Container.Title %>
                                </a>
                            </td>
                        </tr>
                        <tr>
                            <td class='SEResultItemSummary' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                                font-size: 9pt;'>
                                <%# Container.Summary%>
                                <span class='sew_previewResultWrapper'>...<img alt="Click to preview the document text"
                                    onclick="sew_toggleResultPreview(this, '<%# Container.UriAsStored %>', '<%# Container.ResultPreview_Expander_ClosedUrl %>', '<%# Container.ResultPreview_Expander_OpenedUrl %>')"
                                    src="<%# Container.ResultPreview_Expander_ClosedUrl %>" /><span class='sew_previewResultContent'>Loading
                                        document...</span></span></td>
                        </tr>
                        <tr>
                            <td class='SEResultItemURL' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                                font-size: 8pt; color: green;'>
                                <%# Container.Uri %>
                            </td>
                        </tr>
                        <tr>
                            <td class='SELocation' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                                font-size: 8pt; color: gray;'>
                                <%# Container.Location %>
                            </td>
                        </tr>
                        <tr>
                            <td class='SEContent' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                                font-size: 8pt; color: gray;'>
                                <%# Container.Content %>
                            </td>
                        </tr>
                    </table>
                </div>
                <br>
            </ResultItemTemplate>
            <HeaderTemplate>
                <div class='SEHeader' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                    font-size: 9pt; background-color: #CCD7EC; border-top: 1px solid #95A9D3; border-left: 1px solid  #95A9D3;
                    border-right: 1px solid #95A9D3; padding: 6px;'>
                    Showing result page <b>
                        <%# Container.ResultsPage %>
                    </b>. There are <b>
                        <%# Container.NumberOfResults %>
                    </b>search results for &quot;<b><%# Container.QueryExpression %></b>&quot;</div>
                <br>
                <br>
            </HeaderTemplate>
            <FooterTemplate>
                <br>
                <br>
                <div class='SEFooter' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                    font-size: 9pt; background-color: #CCD7EC; border-bottom: 1px solid #95A9D3;
                    border-left: 1px solid  #95A9D3; border-right: 1px solid #95A9D3; padding: 4px;
                    text-align: left;'>
                    <table border="0" cellpadding="0" cellspacing="3">
                        <tr>
                            <td style='font-family: sans-serif, Verdana, Arial, Helvetica; font-size: 9pt;'>
                                Results Page:
                            </td>
                            <td style='font-family: sans-serif, Verdana, Arial, Helvetica; font-size: 9pt;'>
                                <%# Container.PreviousPageLink %>
                            </td>
                            <td style='font-family: sans-serif, Verdana, Arial, Helvetica; font-size: 9pt;'>
                                <%# Container.PageLinksBlock %>
                            </td>
                            <td style='font-family: sans-serif, Verdana, Arial, Helvetica; font-size: 9pt;'>
                                <%# Container.NextPageLink %>
                            </td>
                        </tr>
                    </table>
                </div>
            </FooterTemplate>
            <ErrorMessageTemplate>
                <div class='SEError' style='font-family: sans-serif, Verdana, Arial, Helvetica; font-size: 9pt;
                    padding: 4px;'>
                    There was an error in the search expression;<p>
                        <%#Container.Message%>
                    </p>
                    <p>
                        <%#Container.ExceptionMessage%>
                    </p>
                    <p>
                        Example queries:<br>
                        <table border="0" cellpadding="5" style='font-family: sans-serif; font-size: 9pt;'
                            width="600">
                            <tr>
                                <td style='color: red;'>
                                    word1 word2</td>
                                <td>
                                    finds documents containing word1 and word2</td>
                            </tr>
                            <tr>
                                <td style='color: red;'>
                                    &quotword1 word2&quot</td>
                                <td>
                                    finds documents containing word1 and word2 together (phrase)</td>
                            </tr>
                            <tr>
                                <td style='color: red;'>
                                    word1 OR word2</td>
                                <td>
                                    finds documents containing word1 or word2</td>
                            </tr>
                            <tr>
                                <td style='color: red;'>
                                    word1 OR word2 AND word3</td>
                                <td>
                                    finds documents containing word3 and either word1 or word2</td>
                            </tr>
                            <tr>
                                <td style='color: red;'>
                                    word1 -word2</td>
                                <td>
                                    finds documents containing word1 and NOT word2</td>
                            </tr>
                            <tr>
                                <td style='color: red;'>
                                    (w1 w2 w3) OR (w4 w5)</td>
                                <td>
                                    finds documents containing a combination of either w1, w2 and w3 OR w4 and w5</td>
                            </tr>
                            <tr>
                                <td style='color: red;' width="250">
                                    ((w1 w2 w3) OR (w4 w5)) AND &quotw6 w7&quot</td>
                                <td>
                                    finds documents containing a combination of either w1, w2 and w3 OR w4 and w5 AND
                                    the phrase 'w6 w7'</td>
                            </tr>
                        </table>
                    </p>
                </div>
            </ErrorMessageTemplate>
            <NoQueryTemplate>
                <div class='SENoQuery' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                    font-size: 9pt; padding: 4px;'>
                    <table border='0'>
                        <tr>
                            <td>
                                Search:
                            </td>
                            <td>
                                <SearchEngine:SearchBox ID='SearchBox_NoQuery' runat='server' ResultPageURL='.'>
                                </SearchEngine:SearchBox>
                            </td>
                        </tr>
                    </table>
                </div>
            </NoQueryTemplate>
            <NoResultsTemplate>
                <div class='SENoResults' style='font-family: sans-serif, Verdana, Arial, Helvetica;
                    font-size: 9pt; padding: 4px;'>
                    Sorry, no results were found for the query &quot;<%# Container.QueryExpression %>&quot;.</div>
            </NoResultsTemplate>
        </SearchEngine:SearchResult>
	</form>
	
	</body>
</HTML>
